Topic-icon Class 'JRequest' not found after installation of vQuiz 2.9.14 PRO on Joomla4

More
06 Feb 2022 08:22 #7553

Hi,

Yes, the current version of vQuiz is not compatible with Joomla! 4.
We are planning to release Joomla! 4 version in next few days.

Please Log in or Create an account to join the conversation.

  • Herczeg Péter Promint Kft.
  • Herczeg Péter Promint Kft.'s Avatar Topic Author
  • Offline
  • Fresh Boarder
  • Fresh Boarder
More
03 Feb 2022 14:23 #7552

Hi,

I have just purchased this vQuiz extension and installed on a Joomla 4.0.2, but when trying to open in Components (and all other pages) I got this error:

0 Class 'JRequest' not found
Call stack
# Function Location
1 () JROOT/administrator/components/com_vquiz/vquiz.php:31
2 require_once() JROOT/libraries/src/Dispatcher/LegacyComponentDispatcher.php:69
3 Joomla\CMS\Dispatcher\LegacyComponentDispatcher::Joomla\CMS\Dispatcher\{closure}() JROOT/libraries/src/Dispatcher/LegacyComponentDispatcher.php:71
4 Joomla\CMS\Dispatcher\LegacyComponentDispatcher->dispatch() JROOT/libraries/src/Component/ComponentHelper.php:389
5 Joomla\CMS\Component\ComponentHelper::renderComponent() JROOT/libraries/src/Application/AdministratorApplication.php:143
6 Joomla\CMS\Application\AdministratorApplication->dispatch() JROOT/libraries/src/Application/AdministratorApplication.php:186
7 Joomla\CMS\Application\AdministratorApplication->doExecute() JROOT/libraries/src/Application/CMSApplication.php:278
8 Joomla\CMS\Application\CMSApplication->execute() JROOT/administrator/includes/app.php:63
9 require_once() JROOT/administrator/index.php:32


is it not compatible with Joomla 4? (if not, is it planned or going to be?)
thanks
Peter

Please Log in or Create an account to join the conversation.

Cron Job Starts